Bug 1101410 - (CVE-2018-0360) VUL-0: CVE-2018-0360: clamav: HWP integer overflow with a resultant infinite loop via a crafted Hangul Word Processor file
(CVE-2018-0360)
VUL-0: CVE-2018-0360: clamav: HWP integer overflow with a resultant infinite ...
Status: RESOLVED FIXED
: 1103091 1103092 (view as bug list)
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/210726/
maint:released:sle10-sp3:64099 CVSSv...
:
Depends on: 1101654
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-17 07:12 UTC by Johannes Segitz
Modified: 2018-10-18 17:36 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2018-07-17 07:12:41 UTC
CVE-2018-0360

ClamAV before 0.100.1 has an HWP integer overflow with a resultant infinite loop
via a crafted Hangul Word Processor file. This is in parsehwp3_paragraph() in
libclamav/hwp.c.

All codestreams affected, fix appears to be 8ca1e79e02 and 36291d7e79

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-0360
https://secuniaresearch.flexerasoftware.com/secunia_research/2018-12/
Comment 1 Swamp Workflow Management 2018-07-17 22:20:05 UTC
This is an autogenerated message for OBS integration:
This bug (1101410) was mentioned in
https://build.opensuse.org/request/show/623520 Factory / clamav
Comment 3 Swamp Workflow Management 2018-07-18 07:00:06 UTC
This is an autogenerated message for OBS integration:
This bug (1101410) was mentioned in
https://build.opensuse.org/request/show/623554 15.0+42.3 / clamav
Comment 4 Swamp Workflow Management 2018-07-30 12:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1101410) was mentioned in
https://build.opensuse.org/request/show/626469 Factory / clamav
Comment 5 Marcus Meissner 2018-07-30 12:37:33 UTC
*** Bug 1103092 has been marked as a duplicate of this bug. ***
Comment 6 Marcus Meissner 2018-07-30 12:37:48 UTC
*** Bug 1103091 has been marked as a duplicate of this bug. ***
Comment 7 Igor Drobot 2018-07-30 13:30:39 UTC
Are there any prognosis for the new version with resolution for:
CVE-2018-0360 and CVE-2018-0361?

The last one can be use for heavy Denial-of-Service attacks against mailing systems by sending PDF-files. See also comment #6.

Thanks and Best Regards
Igor
Comment 10 Swamp Workflow Management 2018-07-31 13:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1101410) was mentioned in
https://build.opensuse.org/request/show/626690 Factory / clamav
Comment 11 Swamp Workflow Management 2018-08-07 13:08:53 UTC
SUSE-SU-2018:2230-1: An update that solves two vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1101410,1101412,1101654,1103040
CVE References: CVE-2018-0360,CVE-2018-0361
Sources used:
SUSE Linux Enterprise Module for Basesystem 15 (src):    clamav-0.100.1-3.3.1
Comment 12 Swamp Workflow Management 2018-08-07 13:10:24 UTC
SUSE-SU-2018:2232-1: An update that solves two vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1101410,1101412,1101654,1103040
CVE References: CVE-2018-0360,CVE-2018-0361
Sources used:
SUSE Linux Enterprise Server 11-SP4 (src):    clamav-0.100.1-0.20.15.1
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    clamav-0.100.1-0.20.15.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    clamav-0.100.1-0.20.15.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    clamav-0.100.1-0.20.15.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    clamav-0.100.1-0.20.15.1
Comment 13 Andreas Stieger 2018-08-08 19:09:43 UTC
(In reply to Igor Drobot from comment #7)
> Are there any prognosis for the new version with resolution for:
> CVE-2018-0360 and CVE-2018-0361?

Now.
Comment 14 Swamp Workflow Management 2018-08-08 22:25:24 UTC
openSUSE-SU-2018:2259-1: An update that solves two vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1101410,1101412,1101654,1103040
CVE References: CVE-2018-0360,CVE-2018-0361
Sources used:
openSUSE Leap 15.0 (src):    clamav-0.100.1-lp150.2.3.1
Comment 15 Igor Drobot 2018-08-09 08:28:16 UTC
(In reply to Andreas Stieger from comment #13)
> (In reply to Igor Drobot from comment #7)
> > Are there any prognosis for the new version with resolution for:
> > CVE-2018-0360 and CVE-2018-0361?
> 
> Now.

Thank you for updating! Will this update also reach OpenSUSE 42.3?
Comment 16 Andreas Stieger 2018-08-09 08:32:20 UTC
(In reply to Igor Drobot from comment #15)
> Will this update also reach OpenSUSE 42.3?

Yes.

Do not use the needinfo feature for this type of query. It is for people working on the bug, not for the reporter as an escalation button.
Comment 17 Swamp Workflow Management 2018-08-14 16:10:55 UTC
SUSE-SU-2018:2323-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1082858,1101410,1101412,1101654,1103040
CVE References: CVE-2018-0360,CVE-2018-0361,CVE-2018-1000085,CVE-2018-14679
Sources used:
SUSE OpenStack Cloud 7 (src):    clamav-0.100.1-33.15.2
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    clamav-0.100.1-33.15.2
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    clamav-0.100.1-33.15.2
SUSE Linux Enterprise Server 12-SP3 (src):    clamav-0.100.1-33.15.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    clamav-0.100.1-33.15.2
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    clamav-0.100.1-33.15.2
SUSE Linux Enterprise Server 12-LTSS (src):    clamav-0.100.1-33.15.2
SUSE Linux Enterprise Desktop 12-SP3 (src):    clamav-0.100.1-33.15.2
SUSE Enterprise Storage 4 (src):    clamav-0.100.1-33.15.2
Comment 18 Swamp Workflow Management 2018-08-17 10:32:14 UTC
openSUSE-SU-2018:2406-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1082858,1101410,1101412,1101654,1103040
CVE References: CVE-2018-0360,CVE-2018-0361,CVE-2018-1000085,CVE-2018-14679
Sources used:
openSUSE Leap 42.3 (src):    clamav-0.100.1-29.1
Comment 19 Marcus Meissner 2018-09-07 11:52:43 UTC
released
Comment 20 Swamp Workflow Management 2018-10-18 17:36:18 UTC
SUSE-SU-2018:2323-2: An update that solves four vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1082858,1101410,1101412,1101654,1103040
CVE References: CVE-2018-0360,CVE-2018-0361,CVE-2018-1000085,CVE-2018-14679
Sources used:
SUSE Linux Enterprise Server 12-SP2-BCL (src):    clamav-0.100.1-33.15.2